Subject: RE: [External] : bug#73723: 31.0.50; Add copy/kill/mark commands to isearch

From: Drew Adams <[email-masked]>
Date: Thu, 10 Oct 2024 18:54:24 +0000

> > Sorry, I misspoke.  I was thinking that my `M-w'
> > copies the current search _match_, but it copies
> > the search string (input pattern), `isearch-string'.
> 
> But it's easy to copy the search string with just
> 'M-e C-a C-k'.

Not as easy as `M-w'.

But I do think it makes sense to _also_ have a key
to copy the current _match_.  Both of those should
be short keys.

The use case of wanting to set mark at the initial
position, so you can get back there or activate the
region back to there (actions that take place when
you're _done_ searching), can be on a longer key
sequence.  Why?  Because it's useful at most _once_
during search.